jQuery(document).ready(function ($) {

    // 工单列表逻辑
    var woDetail = new Vue({
        el: '#woDetail',
        data: {
            callStatus: 0,
            callRemark: '',
            smsStatus: 0,
            smsRemark: '',
            consultStatus: 0,
            consultRemark: '',
            assistStatus: 0,
            assistRemark: '',
            unPleasureStatus: 0,
            unPleasureEntity: 0,
            unPleasureDetail: '',
            unPleasureDeptName: [],
            unPleasureSolution: '',
            userAdvice: '',
            revisitStatus: 0,
            revisitRemark: '',
            consultStates: [
                {value: 0, text: '请选择'},
                {value: 1, text: '满意'},
                {value: 2, text: '一般'},
                {value: 3, text: '不满意'}
            ],
            consultStates: [
                {value: 0, text: '请选择'},
                {value: 1, text: '督导'},
                {value: 2, text: '接通拒听'},
                {value: 3, text: '未接听'},
                {value: 4, text: '未接通拒绝'},
                {value: 5, text: '无法呼出'},
                {value: 6, text: '用户不便'},
                {value: 7, text: '助理添加标签'}
            ],
            smsStates: [
                {value: 0, text: '请选择'},
                {value: 1, text: '是'},
                {value: 2, text: '否'}
            ],
            assistStates: [
                {value: 0, text: '请选择'},
                {value: 1, text: '满意'},
                {value: 2, text: '一般'},
                {value: 3, text: '不满意'}
            ],
            revisitStates: [
                {value: 0, text: '请选择'},
                {value: 1, text: '未回访'},
                {value: 2, text: '推迟回访'},
                {value: 3, text: '不回访'},
                {value: 4, text: '已回访'},
                {value: 5, text: '无法呼出'},
                {value: 6, text: '用户不便'},
                {value: 7, text: '助理添加标签'}
            ],
            unpleasureEntities: [
                {value: 0, text: '请选择'},
                {value: 1, text: '咨询师'},
                {value: 2, text: '接通拒听'},
                {value: 3, text: '未接听'},
                {value: 4, text: '未接通拒绝'},
                {value: 5, text: '无法呼出'},
                {value: 6, text: '用户不便'},
                {value: 7, text: '助理添加标签'}
            ],
            unpleasureStates:[
                {value: 0, text: '请选择'},
                {value: 1, text: '未处理'},
                {value: 2, text: '处理中'},
                {value: 3, text: '已处理'}
            ]

        },
        methods: {
            saveWODetail: function () {
                var url = "/work/wo/saveDetail";
                var urlParams = new URLSearchParams(window.location.search);
                var woId = urlParams.get('id');
                var data = JSON.stringify(
                    {
                        "assistRemark": woDetail.assistRemark,
                        "assistStatus": woDetail.assistStatus,
                        "callRemark": woDetail.callRemark,
                        "callStatus": woDetail.callStatus,
                        "consultRemark": woDetail.consultRemark,
                        "consultStatus": woDetail.consultStatus,
                        "customerName": woDetail.customerName,
                        "customerUid": woDetail.customerUid,
                        "doctorName": woDetail.doctorName,
                        "doctorUid": woDetail.doctorUid,
                        "orderNum": woDetail.orderNum,
                        "phoneNum": woDetail.phoneNum,
                        "processName": woDetail.processName,
                        "processUid": woDetail.processUid,
                        "revisitRemark": woDetail.revisitRemark,
                        "revisitStatus": woDetail.revisitStatus,
                        "smsRemark": woDetail.smsRemark,
                        "smsStatus": woDetail.smsStatus,
                        "unpleasureDeptName": woDetail.unpleasureDeptName,
                        "unpleasureDetail": woDetail.unpleasureDetail,
                        "unpleasureEntity": woDetail.unpleasureEntity,
                        "unpleasureSolution": woDetail.unpleasureSolution,
                        "unpleasureStatus": woDetail.unpleasureStatus,
                        "userAdvice": woDetail.userAdvice,
                        "woId": woId
                    }
                );
                console.log(data);
                $.ajax({
                    url: url,
                    dataType: "json",
                    data: data,
                    type: 'post',
                    contentType: "application/json; charset=utf-8",
                    success: function (res) {
                        console.log(res);
                        window.location.href = '/index.html'
                    }
                });
            }
        }
    })

    function initDetail() {
        var urlParams = new URLSearchParams(window.location.search);
        var woId = urlParams.get('id');
        console.log(urlParams.get('id'));

        var data = JSON.stringify(
            {
                "woId": woId,
                "processUid": 1
            }
        );
        $.ajax({
            url: '/work/wo/detail',
            dataType: "json",
            data: data,
            type: 'post',
            contentType: "application/json; charset=utf-8",
            success: function (res) {
                console.log(res);

            }
        });
        var data = JSON.stringify(
            {
                "fieldValue": woId,
                "processUid": 1,
                "tableName":'wo_revisit_detail'
            }
        );
        $.ajax({
            url: '/work/auditTrace/list',
            dataType: "json",
            data: data,
            type: 'post',
            contentType: "application/json; charset=utf-8",
            success: function (res) {
                console.log(res);

            }
        });
    }

    initDetail();

});
